// pages/index/index.js
import { homePage } from '../../api/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    locationStr: '定位地址…',
    useNumber: 0, // 剩余预约次数
    documentVos: [] // 档案信息
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onLoad() {
    this.initIndexData()
  },
  onPullDownRefresh () {
    this.initIndexData(true)
  },
  // 获取首页信息
  initIndexData (pullDownRefresh = false) {
    wx.showLoading({
      title: '加载中...',
      mask: true
    })
    homePage({}).then(hoemRes => {
      wx.hideLoading()
      if (pullDownRefresh) {
        wx.stopPullDownRefresh()
      }
      var response = hoemRes.data.documentVos
      response.map(item => {
        item.birthDay = item.birthday.split(' ')[0]
      })
      this.setData({
        useNumber: hoemRes.data.useNumber,
        documentVos: response
      })
    }).catch(e => {
      wx.hideLoading()
      wx.showModal({
        content: e,
        confirmColor: '#333',
        showCancel: false
      })
    })
  },
  // 打开地图选择位置。
  openMap () {
    wx.chooseLocation()
  },
  /**
   * 处理套餐 购买 or 预约  
   * useNumber: 0-购买 1-预约
   * **/
  handlePackage () {
    var type = this.data.useNumber > 0 ? 1 : 0
    switch (type) {
      case 0:
        wx.navigateTo({
          url: '/pages/buy/buy',
        })
      break;
      case 1:
        wx.navigateTo({
          url: '/pages/appointment/appointment',
        })
      break;
    }
  },
  // 点击全部档案
  handleAllFile () {
    wx.navigateTo({
      url: '/pages/allFile/allFile',
    })
  },
  // 添加检测人
  handleAddCheck () {
    wx.navigateTo({
      url: '/pages/createFile/createFile?form=index',
    })
  },
  handleScanCode () {
    wx.scanCode({
      onlyFromCamera: true,
      scanType: ['barCode','qrCode','datamatrix','pdf417'],
      success (res) {
        console.log(res);
      }
    })
  }
})